from django.test import TestCase

# Create your tests here.
from django.test.client import Client
from django.http import HttpResponse
from django.contrib.auth.models import User

import uuid

class DeleteTest(TestCase):
    def setUp(self):
        self.client = Client()
        
        self.url = "/accounts/delete"
        
        self.username: str = str(uuid.uuid4())
        self.password: str = str(uuid.uuid4())

        user: User = User.objects.create_user(username=self.username, password=self.password)
        self.client.login(username=self.username, password=self.password)
        

    def test_normal_delete(self):
        response: HttpResponse = self.client.post(self.url)
        response_text: str = response.content.decode("utf-8")
        self.assertEqual(response_text, '"user deleted"')
    
    def test_no_logged(self):
        self.client.logout()
        response: HttpResponse = self.client.post(self.url)
        errors: dict = eval(response.content)
        self.assertDictEqual(errors, {"detail":"Authentication credentials were not provided."})